<div class="content-wrapper">
  <section class="content-header">
    <h1>
       <?= $pTitle ?>
        <small><?= $pDescription ?></small>
    </h1>
    <ol class="breadcrumb">
     <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
     <li><?= $menu ?></li>
     <li class="active"><?= $smenu ?></li>
    </ol>
  </section>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <?php 
        $url = (!isset($mechanic_id)||empty($mechanic_id)||!isset($issue_id)||empty($issue_id))?'Issue/createMechIssue':'Issue/updateMechIssue/'.encode_param($mechanic_id).'/'.encode_param($issue_id);
        if($this->session->flashdata('message')) { 
          $flashdata = $this->session->flashdata('message'); ?>
          <div class="alert alert-<?= $flashdata['class'] ?>">
            <button class="close" data-dismiss="alert" type="button">×</button>
            <?= $flashdata['message'] ?>
          </div>
        <?php } ?>
      </div>
      <div class="col-md-12">
        <div class="box box-warning">
          <div class="box-body">
            <form role="form" action="<?= base_url($url) ?>" method="post" 
              class="validate" data-parsley-validate="" enctype="multipart/form-data">
              <div class="col-md-12">
              	<div class="col-md-6">
                  <div class="form-group">
                    <label>General Issue</label>
                    <select name="issue_id" class="form-control required" placeholder="Select General Issue" required="">
                      <option selected disabled>Choose an Issue Type</option>
          			  <?php 
          			  if(!empty($issue_data)){ 
	                    foreach ($issue_data as $issue) {
	                      $select = (isset($issue->issue_id) && $issue->issue_id == $issue_id)
          							 	?' selected ':'';
	                      echo'<option '.$select.' value="'.$issue->issue_id.'">'.$issue->issue.'</option>';
	                    }
             		  } ?>
                    </select> 
                  </div>
                  <div class="form-group">
                    <label>Custom Service Fee</label>
                    <input type="text" class="form-control required" data-parsley-trigger="change"  
                    data-parsley-minlength="2" data-parsley-pattern="^[0-9\ , . \/]+$" required="" name="service_fee" placeholder="Custom Service Fee" value="<?= (isset($mechanicIssueData) && isset($mechanicIssueData->service_fee))?$mechanicIssueData->service_fee:'' ?>">
                    <span class="glyphicon  form-control-feedback"></span>
                  </div>
                </div>
          	    <div class="col-md-6">
                  <div class="form-group">
                    <label>Custom Repair Description</label>
                    <textarea class="form-control required" data-parsley-trigger="change"  
                    data-parsley-minlength="2" required="" name="issue_description" style="height: 80px;" placeholder="Custom Repair Description"><?= (isset($mechanicIssueData) && isset($mechanicIssueData->issue_description))?trim($mechanicIssueData->issue_description):'' ?></textarea>
                    <span class="glyphicon  form-control-feedback"></span>
                  </div>
          	    </div>
          	  </div>
          	  <input type="hidden" name="mechanic_id" value="<?= $mechanic_id ?>" >
              <div class="col-md-12">      
                <div class="box-footer textCenterAlign">
                  <button type="submit" class="btn btn-primary">Submit</button>
                  <a href="<?= base_url('Issue/viewMappedIssues/'.encode_param($mechanic_id)) ?>" class="btn btn-primary">Cancel</a>
                </div>        
              </div>        
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>