-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: db
-- Generation Time: Dec 07, 2018 at 12:37 PM
-- Server version: 5.6.41
-- PHP Version: 7.2.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `tobin_dcarfixers`
--

-- --------------------------------------------------------

--
-- Table structure for table `admin_users`
--

CREATE TABLE `admin_users` (
  `id` int(11) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `user_type` tinyint(3) NOT NULL COMMENT '1 => Super Admin, 2 => Mechanic',
  `display_name` varchar(200) NOT NULL,
  `profile_image` varchar(500) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `admin_users`
--

INSERT INTO `admin_users` (`id`, `username`, `password`, `user_type`, `display_name`, `profile_image`, `status`) VALUES
(1, 'admin', '202cb962ac59075b964b07152d234b70', 1, 'Super Admin User', 'assets/uploads/services/1543990056_1523012120_default.png', 1),
(2, 'mechanic', '202cb962ac59075b964b07152d234b70', 2, 'Mechanic', 'assets/uploads/services/1544088354_car1.jpg', 1),
(11, 'cfghbfchdrfg', '97a4aa7bfb0e20d7b9813ffe99f91fd4', 2, 'lnoik', 'assets/uploads/services/1544013534_images.jpg', 0),
(12, 'admin123', '202cb962ac59075b964b07152d234b70', 2, 'Super Admin', 'assets/uploads/services/1544091403_Himalayan.jpg', 1);

-- --------------------------------------------------------

--
-- Table structure for table `customers`
--

CREATE TABLE `customers` (
  `customer_id` int(20) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `email` varchar(200) DEFAULT NULL,
  `address` varchar(500) DEFAULT NULL,
  `profile_image` varchar(500) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `date_of_birth` varchar(200) DEFAULT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `issues`
--

CREATE TABLE `issues` (
  `issue_id` int(11) NOT NULL,
  `issue` varchar(500) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `issues`
--

INSERT INTO `issues` (`issue_id`, `issue`, `status`) VALUES
(1, 'Oil Change and General Service (Free Water Service).', 2),
(2, 'Wheel Alignment and General Service (Free Water Service)', 1),
(3, 'General Water Service and Periodic General Check up', 1),
(4, 'Water Service (With polishing)', 1),
(5, 'Water Service (Without polishing)', 1),
(6, 'Oil Change and General Service (Free Water Service and Polishing).', 1),
(7, 'Oil Change and General Service (Free Water Service and Polishing).', 1);

-- --------------------------------------------------------

--
-- Table structure for table `mechanic`
--

CREATE TABLE `mechanic` (
  `id` int(11) NOT NULL,
  `mechanic_id` int(11) NOT NULL,
  `shop_id` int(11) NOT NULL DEFAULT '0',
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `email_id` varchar(250) NOT NULL,
  `phone` varchar(15) NOT NULL,
  `address` varchar(250) DEFAULT NULL,
  `city` varchar(200) DEFAULT NULL,
  `state` varchar(200) DEFAULT NULL,
  `licence` varchar(500) NOT NULL,
  `licence_number` varchar(250) DEFAULT NULL,
  `licence_exp_date` varchar(250) DEFAULT NULL,
  `location_lat` varchar(30) DEFAULT NULL,
  `location_lng` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mechanic`
--

INSERT INTO `mechanic` (`id`, `mechanic_id`, `shop_id`, `first_name`, `last_name`, `email_id`, `phone`, `address`, `city`, `state`, `licence`, `licence_number`, `licence_exp_date`, `location_lat`, `location_lng`) VALUES
(1, 2, 0, 'Tobin', 'Thomas', 'tobin.tobi554@gmail.com', '9995559194', 'Techware Software Solution', 'Ernakulam', 'Kerala', 'assets/uploads/services/1544088274_1523012036_hj.jpg', '', '', NULL, NULL),
(5, 11, 0, 'kjo', 'kjo', 'tobin.techware@gmail.com', '34653456344456', 'Techware', 'Aiea', 'Hawaii', 'assets/uploads/services/1544091718_sniper.jpg', 'dfrgdersgt', '12/13/2018', NULL, NULL),
(6, 12, 0, 'Driver', 'john', 'tobin123@gmail.com', '9995551234', 'Techware', 'Aiea', 'Hawaii', 'assets/uploads/services/1544091568_1523012036_hj.jpg', 'LI00051545', '12/25/2018', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `mechanic_issues`
--

CREATE TABLE `mechanic_issues` (
  `id` int(11) NOT NULL,
  `issue_id` int(11) DEFAULT NULL,
  `mechanic_id` int(11) DEFAULT NULL,
  `issue_description` longtext,
  `service_fee` double NOT NULL DEFAULT '0',
  `status` tinyint(3) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mechanic_issues`
--

INSERT INTO `mechanic_issues` (`id`, `issue_id`, `mechanic_id`, `issue_description`, `service_fee`, `status`) VALUES
(1, 1, 12, 'sert', 435345, 0),
(2, 2, 2, 'fghdrftyhudsrxfytuh we e4rtwe4t we5tywer5 we5twer tew4rte etewt aw4raew w3rw3e w3r4wer fghdrftyhudsrxfytuh we e4rtwe4t we5tywer5 we5twer tew4rte etewt aw4raew w3rw3e w3r4wer fghdrftyhudsrxfytuh we e4rtwe4t we5tywer5 we5twer tew4rte etewt aw4raew w3rw3e w3r4wer fghdrftyhudsrxfytuh we e4rtwe4t we5tywer5 we5twer tew4rte etewt aw4raew w3rw3e w3r4wer fghdrftyhudsrxfytuh we e4rtwe4t we5tywer5 we5twer tew4rte etewt aw4raew w3rw3e w3r4wer ', 435345, 0),
(3, 1, 2, 'edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 ', 435345, 0),
(4, 1, 2, 'edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 edrte ew4te ew5ter e354trs5 ', 435345, 0);

-- --------------------------------------------------------

--
-- Table structure for table `mechanic_shop`
--

CREATE TABLE `mechanic_shop` (
  `shop_id` int(11) NOT NULL,
  `shop_name` varchar(250) NOT NULL,
  `address` varchar(500) NOT NULL,
  `phone` varchar(15) NOT NULL,
  `email_id` varchar(150) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mechanic_shop`
--

INSERT INTO `mechanic_shop` (`shop_id`, `shop_name`, `address`, `phone`, `email_id`, `status`) VALUES
(1, 'Mechanic Shop', 'Kakkanad', '9995559194', 'tobin@gmail.com', 1),
(2, 'New Shop 1', 'Techware', '9995559194', 'tobin.techware@gmail.com', 0);

-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE `setting` (
  `id` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `title_short` varchar(250) NOT NULL,
  `site_logo` varchar(150) NOT NULL,
  `fav_icon` varchar(150) NOT NULL,
  `country_flag` varchar(10) NOT NULL DEFAULT 'US',
  `currency` varchar(10) NOT NULL,
  `smtp_host` varchar(150) NOT NULL,
  `smtp_username` varchar(150) NOT NULL,
  `smtp_password` varchar(150) NOT NULL,
  `google_api_key` varchar(500) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `setting`
--

INSERT INTO `setting` (`id`, `title`, `title_short`, `site_logo`, `fav_icon`, `country_flag`, `currency`, `smtp_host`, `smtp_username`, `smtp_password`, `google_api_key`) VALUES
(1, 'd-Car Fixers', 'd-CarFixers', 'assets/uploads/services/1539680946_1523012036_hj.jpg', 'assets/uploads/services/1539680946_1523540473_guenstig_reifen.png', 'US', 'USD', 'info@techlabz.in', 'AIzaSyC9JX3BZZfx2S6GQieC_PqjuJdUbZ7_wyM1', 'Golden_1234', 'AIzaSyCcc-YDSJyDpehNE6qfntfWpEQ4uS4aq6A');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admin_users`
--
ALTER TABLE `admin_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `customers`
--
ALTER TABLE `customers`
  ADD PRIMARY KEY (`customer_id`);

--
-- Indexes for table `issues`
--
ALTER TABLE `issues`
  ADD PRIMARY KEY (`issue_id`);

--
-- Indexes for table `mechanic`
--
ALTER TABLE `mechanic`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mechanic_issues`
--
ALTER TABLE `mechanic_issues`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mechanic_shop`
--
ALTER TABLE `mechanic_shop`
  ADD PRIMARY KEY (`shop_id`);

--
-- Indexes for table `setting`
--
ALTER TABLE `setting`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admin_users`
--
ALTER TABLE `admin_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `customers`
--
ALTER TABLE `customers`
  MODIFY `customer_id` int(20) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `issues`
--
ALTER TABLE `issues`
  MODIFY `issue_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `mechanic`
--
ALTER TABLE `mechanic`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `mechanic_issues`
--
ALTER TABLE `mechanic_issues`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `mechanic_shop`
--
ALTER TABLE `mechanic_shop`
  MODIFY `shop_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `setting`
--
ALTER TABLE `setting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
